# Schema: ShipHull

**Entity Type:** `ShipHull`

## Fields

| Field | Type | Notes |
|------|------|------|
| id | string | stable anchor id |
| name | string | hull name |
| sizeClass | string | Small / Medium / Large |
| moduleSlots | number | number of module slots available |
| notes | string | characteristics and tradeoffs |
